# CLITransactionSigner | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- CLITransactionSigner
  - NullSigner
  - MultiSigKeySigner
  - SegwitP2SHKeySigner

### Implements

- TransactionSigner

## Index

### Constructors

- constructor

### Properties

- address
- isComplete

### Methods

- getAddress
- signTransaction
- signerVersion

## Constructors

### constructor

- new CLITransactionSigner(address?: string): CLITransactionSigner

- - Defined in packages/cli/src/utils.ts:57

  #### Parameters

  - ##### Default value address: string = ""

  #### Returns CLITransactionSigner

## Properties

### address

address: string

- Defined in packages/cli/src/utils.ts:56

### isComplete

isComplete: boolean

- Defined in packages/cli/src/utils.ts:57

## Methods

### getAddress

- getAddress(): Promise<string>

- - Defined in packages/cli/src/utils.ts:64

  #### Returns Promise<string>

### signTransaction

- signTransaction(_txIn: TransactionBuilder, _signingIndex: number): Promise<void>

- - Defined in packages/cli/src/utils.ts:68

  #### Parameters

  - ##### _txIn: TransactionBuilder

  - ##### _signingIndex: number

  #### Returns Promise<void>

### signerVersion

- signerVersion(): number

- - Defined in packages/cli/src/utils.ts:72

  #### Returns number

Generated using TypeDoc